Change log for kvm package in Ubuntu

175 of 79 results
Obsolete in hardy-backports on 2015-04-24
kvm (1:84+dfsg-0ubuntu12.4~hardy1) hardy-backports; urgency=low

  * debian/patches/Fix-cluster-freeing-in-qcow2.patch: cherry-pick
    from upstream, fixes regression caused by
    qcow2-corruption-Fix-alloc_cluster_link_l2-Kevin-W.patch
    LP: #404394

 -- Dustin Kirkland <email address hidden>   Wed, 04 Nov 2009 13:25:43 -0600
Obsolete in intrepid-backports on 2013-02-20
kvm (1:84+dfsg-0ubuntu12.4~intrepid1) intrepid-backports; urgency=low

  * debian/patches/Fix-cluster-freeing-in-qcow2.patch: cherry-pick
    from upstream, fixes regression caused by
    qcow2-corruption-Fix-alloc_cluster_link_l2-Kevin-W.patch
    LP: #404394

 -- Dustin Kirkland <email address hidden>   Wed, 04 Nov 2009 13:25:03 -0600
Obsolete in jaunty-updates on 2013-02-28
Deleted in jaunty-proposed on 2013-02-28 (Reason: moved to -updates)
kvm (1:84+dfsg-0ubuntu12.4) jaunty-proposed; urgency=low

  * debian/patches/Fix-cluster-freeing-in-qcow2.patch: cherry-pick
    from upstream, fixes regression caused by
    qcow2-corruption-Fix-alloc_cluster_link_l2-Kevin-W.patch
    LP: #404394

 -- Dustin Kirkland <email address hidden>   Wed, 04 Nov 2009 14:05:14 -0500
Superseded in hardy-backports on 2009-11-06
kvm (1:84+dfsg-0ubuntu12.3~hardy1) hardy-backports; urgency=low

  * debian/control:
    - lower debhelper dependency
    - drop pulse
    - depend on kvm-source to ensure kernel module gets built
  * debian/rules:
    - drop pulse

 -- Dustin Kirkland <email address hidden>   Fri, 24 Jul 2009 07:35:52 -0500
Deleted in karmic-release on 2009-09-24 (Reason: merged into qemu-kvm, LP#417107)
Superseded in karmic-release on 2009-08-25
kvm (1:84+dfsg-0ubuntu16) karmic; urgency=low

  * debian/patches/CVE-2009-2287.patch:
  * SECURITY UPDATE: Users could cause a NULL pointer exception
    by passing a bogus value of cr3 (LP: #406584).
   - debian/patches/CVE-2009-2287.patch:
   - http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commitdiff;h=59839dfff5eabca01cc4e20b45797a60a80af8cb
   - CVE-2009-2287

 -- Dustin Kirkland <email address hidden>   Wed, 29 Jul 2009 15:00:32 -0500
Superseded in intrepid-backports on 2009-11-06
kvm (1:84+dfsg-0ubuntu12.3~intrepid1) intrepid-backports; urgency=low

  * Source backport from jaunty to intrepid-backports (LP: #396721)
  * debian/control:
    - lower debhelper dependency
    - drop pulse
    - depend on kvm-source to ensure kernel module gets built
  * debian/rules:
    - drop pulse

 -- Dustin Kirkland <email address hidden>   Fri, 24 Jul 2009 07:41:27 -0500
Superseded in jaunty-updates on 2009-11-11
Deleted in jaunty-proposed on 2009-11-12 (Reason: moved to -updates)
kvm (1:84+dfsg-0ubuntu12.3) jaunty-proposed; urgency=low

  * Cherry-pick qcow2 corruption patch from upstream git
    - Fix-at-least-one-cause-of-qcow2-corruption.-Nolan.patch,
    LP: #392295
  * Cherry-pick patch series from upstream to fix segfaults when
    cancelling DMA operations in virtual machines. LP: #359447
  * Cherry-pick dma error handling patch from upstream git, LP: #359447
    - Fix-DMA-API-when-handling-an-immediate-error-from-bl.patch
  * debian/control: depend on linux-server and linux-generic headers;
    this may be a bit overkill, as you only need one of the two,
    however, we don't know which one of the two until postinst;
    because of this, we get *tons* of bug reports about kvm-source not
    being able to build because of missing headers (even though we print
    a helpful warning message in postinst), LP: #394953
  * debian/kvm-source.postinst: touch reboot-required to ensure that
    the new kvm module gets loaded and running
  * debian/source_kvm.py: only collect packages related to kvm for apport,
    LP: #382077

 -- Dustin Kirkland <email address hidden>   Tue, 07 Jul 2009 14:22:26 -0500
Superseded in karmic-release on 2009-07-29
kvm (1:84+dfsg-0ubuntu15) karmic; urgency=low

  * Cherry-pick qcow2 corruption patch from upstream git
    - Fix-at-least-one-cause-of-qcow2-corruption.-Nolan.patch
  * Cherry-pick dma error handling patch from upstream git, LP: #359447
    - Fix-DMA-API-when-handling-an-immediate-error-from-bl.patch
  * debian/control: depend on linux-server and linux-generic headers;
    this may be a bit overkill, as you only need one of the two,
    however, we don't know which one of the two until postinst;
    because of this, we get *tons* of bug reports about kvm-source not
    being able to build because of missing headers (even though we print
    a helpful warning message in postinst), LP: #394953
  * debian/kvm-source.postinst: touch reboot-required to ensure that
    the new kvm module gets loaded and running

 -- Dustin Kirkland <email address hidden>   Tue, 07 Jul 2009 14:06:52 -0500
Superseded in karmic-release on 2009-07-07
kvm (1:84+dfsg-0ubuntu14) karmic; urgency=low

  * debian/source_kvm.py: collect kvm*, and qemu*

 -- Dustin Kirkland <email address hidden>   Mon, 01 Jun 2009 10:05:27 -0500
Superseded in karmic-release on 2009-06-01
kvm (1:84+dfsg-0ubuntu13) karmic; urgency=low

  * debian/source_kvm.py: only collect packages related to kvm for apport,
    LP: #382077

 -- Dustin Kirkland <email address hidden>   Mon, 01 Jun 2009 07:17:46 -0500
Obsolete in hardy-updates on 2015-04-24
Obsolete in hardy-security on 2015-04-24
kvm (1:62+dfsg-0ubuntu8.2) hardy-security; urgency=low

  * REGRESSION: "boot" parameter was removed by security update (LP: #375937)
    - debian/patches/CVE-2008-2004.patch: updated to reintroduce "boot"
      parameter.

 -- Marc Deslauriers <email address hidden>   Wed, 13 May 2009 08:54:17 -0400
Superseded in hardy-updates on 2009-05-13
Superseded in hardy-security on 2009-05-13
kvm (1:62+dfsg-0ubuntu8.1) hardy-security; urgency=low

  * debian/patches/SECURITY_CVE-2008-1945:
    - SECURITY UPDATE: guest OS users may read arbitrary files on host OS
      + qemu/hw/usb-msd.c: Add image format option for USB mass-storage
        $devices; Author: Aurelien Jarno <email address hidden>
      + CVE-2008-1945: commit 334c0241c006533d1f4ed7e07239ec00b46c6efd
  * debian/patches/CVE-2008-2382:
    - SECURITY UPDATE: remote denial of service via crafted message to vnc
      + qemu/vnc.c: Properly handle the case of SetPixelEncodings with a
        length of zero.; Author: Anthony Liguori <email address hidden>
      + CVE-2008-2382: commit 69dd5c9ffd5c0c6a01ad14b9c6a8d7135ccc2b9a
  * debian/patches/CVE-2008-4539:
    - SECURITY UPDATE: local users might gain privileges via heap overflow
      + qemu/hw/cirrus_vga.c: fix a heap overflow in Cirrus emulation;
        Author: Aurelien Jarno <email address hidden>
      + CVE-2008-4539: commit 65d35a09979e63541afc5bfc595b9f1b1b4ae069
  * debian/patches/CVE-2008-5714:
    - SECURITY UPDATE: vnc password limited to 7, rather than 8 characters
      + qemu/monitor.c: monitor_readline expects buf_size to include the
        terminating \0, but do_change_vnc in monitor.c calls it as though
        it doesn't; Authors: Chris Webb <email address hidden> and
        Anthony Liguori <email address hidden>
      + CVE-2008-5714: commit 2a7e8dda090af586f3d0b3d157054a9e18776a52
  * debian/patches/series: updated accordingly

 -- Dustin Kirkland <email address hidden>   Thu, 07 May 2009 16:02:29 -0500
Obsolete in intrepid-updates on 2013-02-20
Obsolete in intrepid-security on 2013-02-20
kvm (1:72+dfsg-1ubuntu6.1) intrepid-security; urgency=low

  * debian/patches/SECURITY_CVE-2008-1945:
    - SECURITY UPDATE: guest OS users may read arbitrary files on host OS
      + qemu/hw/usb-msd.c: Add image format option for USB mass-storage
        $devices; Author: Aurelien Jarno <email address hidden>
      + CVE-2008-1945: commit 334c0241c006533d1f4ed7e07239ec00b46c6efd
  * debian/patches/CVE-2008-2382:
    - SECURITY UPDATE: remote denial of service via crafted message to vnc
      + qemu/vnc.c: Properly handle the case of SetPixelEncodings with a
        length of zero.; Author: Anthony Liguori <email address hidden>
      + CVE-2008-2382: commit 69dd5c9ffd5c0c6a01ad14b9c6a8d7135ccc2b9a
  * debian/patches/CVE-2008-4539:
    - SECURITY UPDATE: local users might gain privileges via heap overflow
      + qemu/hw/cirrus_vga.c: fix a heap overflow in Cirrus emulation;
        Author: Aurelien Jarno <email address hidden>
      + CVE-2008-4539: commit 65d35a09979e63541afc5bfc595b9f1b1b4ae069
  * debian/patches/CVE-2008-5714:
    - SECURITY UPDATE: vnc password limited to 7, rather than 8 characters
      + qemu/monitor.c: monitor_readline expects buf_size to include the
        terminating \0, but do_change_vnc in monitor.c calls it as though
        it doesn't; Authors: Chris Webb <email address hidden> and
        Anthony Liguori <email address hidden>
      + CVE-2008-5714: commit 2a7e8dda090af586f3d0b3d157054a9e18776a52
  * debian/patches/series: updated accordingly

 -- Dustin Kirkland <email address hidden>   Thu, 07 May 2009 16:41:38 -0400
Superseded in jaunty-proposed on 2009-07-08
kvm (1:84+dfsg-0ubuntu12) jaunty-proposed; urgency=low

  * Apply patch series from upstream to fix segfaults when cancelling
    DMA operations in virtual machines. (LP: #359447)

 -- Soren Hansen <email address hidden>   Sun, 03 May 2009 09:39:47 +0200
Superseded in karmic-release on 2009-06-01
Obsolete in jaunty-release on 2013-02-28
kvm (1:84+dfsg-0ubuntu11) jaunty; urgency=low

  * debian/patches/add-all-virtio-drives.patch: Fix bugs where the caller
    does not specify a perfectly defined list of virtio drives starting at
    index=0 and having no gaps in indices; LP: #360832, #360825
  * debian/patches/fix-qcow-corruption: Cherry-pick from kvm stable git
    branch, fixes at least one cause of qcow2 image corruption; no reports
    yet of this in Ubuntu, but I'm being proactive about this one;
    LP: #361938
  * debian/source_kvm.py: dpkg -l was a little too heavy, compress this
    output considerably

 -- Dustin Kirkland <email address hidden>   Fri, 17 Apr 2009 09:59:58 -0500
Superseded in jaunty-release on 2009-04-17
kvm (1:84+dfsg-0ubuntu10) jaunty; urgency=low

  * debian/patches/virtio-net_disable_gso.patch: hardy guest kernels
    do not have working gso support.  Disable it for everyone until
    we have a work around, LP: #331128.

 -- Dustin Kirkland <email address hidden>   Thu, 02 Apr 2009 11:08:34 -0500
Superseded in jaunty-release on 2009-04-02
kvm (1:84+dfsg-0ubuntu9) jaunty; urgency=low

  * debian/source_kvm.py: add a basic apparmor hook for kvm, retrieving
    a listing of all packages installed, and the kvm command line used

 -- Dustin Kirkland <email address hidden>   Fri, 27 Mar 2009 15:56:24 -0500
Superseded in jaunty-release on 2009-03-27
kvm (1:84+dfsg-0ubuntu8) jaunty; urgency=low

  * debian/patches/dkmsify.patch: handle i686 arch properly, LP: #333632
  * debian/control: kvm-source needs kernel headers
  * debian/kvm-source.postinst: check if necessary headers are installed;
    if not, print a handy error message with instructions, LP: #341159
  * debian/kvm.init: use proper lsb begin/end message logging for cleaner
    usplash interaction, LP: #275009
  * debian/rules, debian/control: Enable pulseaudio audio driver, LP: #304649

 -- Dustin Kirkland <email address hidden>   Thu, 12 Mar 2009 00:17:04 -0500
Superseded in jaunty-release on 2009-03-12
kvm (1:84+dfsg-0ubuntu7) jaunty; urgency=low

  * debian/control: revert libvdeplug2-dev build-dependency as this package
    is in Universe

 -- Dustin Kirkland <email address hidden>   Mon, 02 Mar 2009 23:11:02 -0600
Superseded in jaunty-release on 2009-03-03
kvm (1:84+dfsg-0ubuntu6) jaunty; urgency=low

  [ Emmet Hikory <email address hidden>  ]
  * debian/rules, debian/control: Enable build for lpia & ia64
    (thanks to TJ) LP: #277517

 -- Dustin Kirkland <email address hidden>   Mon, 02 Mar 2009 15:35:26 -0600
Superseded in jaunty-release on 2009-03-02
kvm (1:84+dfsg-0ubuntu5) jaunty; urgency=low

  * debian/patches/fix_screen_corruption: patch from upstream SVN (should
    be dropped in next merge), fixes LP: #336712, #333920
  * debian/patches: permanently removed all dropped patches

 -- Dustin Kirkland <email address hidden>   Mon, 02 Mar 2009 09:15:26 -0600
Superseded in jaunty-release on 2009-03-02
kvm (1:84+dfsg-0ubuntu4) jaunty; urgency=low

  [ TJ <email address hidden> ]
  * debian/control: add build-depends on libvdeplug2-dev which will cause
    qemu's configure script to enable vde support, LP: #253230

  [ Dustin Kirkland ]
  * debian/kvm-source.postinst: remove dkms module before installing new
    one, LP: #334177

 -- Dustin Kirkland <email address hidden>   Thu, 26 Feb 2009 16:07:57 -0600
Superseded in jaunty-release on 2009-02-26
kvm (1:84+dfsg-0ubuntu3) jaunty; urgency=low

  [ Reviewed Ubuntu patches with KVM/QEMU upstream, Anthony Liguori ]
  * debian/patches/03_bios_no_ssp.patch: DROPPED, included upstream
  * debian/patches/06_no_system_linux_kvm_h.patch: DROPPED, no longer
    necessary, kvm kernel header file is now generally available
  * debian/patches/from-debian-qemu/22_net_tuntap_stall.patch: DROPPED,
    no longer necessary; this patch was to work around a bug in
    2.6.11-rc1; this patch could be causing network packet drop issues;
    definitely WRONG at this point with modern QEMU
  * debian/patches/from-debian-qemu/62_linux_boot_nasm.patch: DROPPED,
    dead code in modern QEMU; completely rewritten to not require an
    external assembler; now built dynamically in pc.c
  * debian/patches/SECURITY_CVE-2007-1321+1322+1366+2893.patch: DROPPED
    * CVE-2007-1321: Fixed upstream
      - QEMU svn commit: r3019
    * CVE-2007-1322: Fixed upstream
      - QEMU svn commit: r5921
    * CVE-2007-1366: Fixed upstream
      - QEMU svn commit: r3012
    * CVE-2007-2893: Not related to QEMU
    * dma.c: Non-CVE fix, r3917
    * block.c: Incorrect patch (negative offset IS allowed, switches
      between block and byte offset)
    * Remainder of the patch was split into: net-socket.patch
      (should be sent upstream)
  * debian/patches/series: updated accordingly
  * debian/patches/do-not-install-bios.patch: DROPPED
    added --disable-blobs to configure in debian/rules
  * debian/patches/reenable_audio_drivers.patch: DROPPED
    added --audio-drv-list="oss alsa sdl" to debian/rules
  * debian/patches/anon_inodes_fix.patch: DROPPED, this is already
    upstream
  * debian/patches/ppc-build.patch: DROPPED, not necessary
  * debian/rules: remove references to non-existant linux_boot.bin

  [ Remaining Patches ]
  * debian/patches/01_use_bios_files_in_usr_share_kvm.patch -p0
    debian/patches/04_use_etc_kvm_kvm-ifup.patch -p0
    debian/patches/07_change_qemu_docdir.patch
    |-----> merged to a single patch, rename_qemu_kvm.patch
  * debian/patches/CVE-2008-0928.patch: upstream work in progress
  * debian/patches/evdev_keycode_map.patch: upstream work in progress
  * debian/patches/02_fix_kernel_Makefile.patch: merged into dkmsify.patch
  * debian/patches/dkmsify.patch: Ubuntu-specific (should validate if
    still necessary...)
  * debian/patches/net-socket.patch: to be sent upstream

  [ Other Changes ]
  * scripts/qemu-ifup: bridge device determination was broken, required
    br0 to be present for this script to operate properly, LP: #125302

 -- Dustin Kirkland <email address hidden>   Fri, 20 Feb 2009 16:11:06 -0600
Superseded in jaunty-release on 2009-02-23
kvm (1:84+dfsg-0ubuntu2) jaunty; urgency=low

  * debian/patches/reenable_audio_drivers.patch: drop the explicit list
    of sound card drivers configured; upstream handles this properly now

 -- Dustin Kirkland <email address hidden>   Wed, 18 Feb 2009 12:00:53 -0600
Superseded in jaunty-release on 2009-02-18
kvm (1:84+dfsg-0ubuntu1) jaunty; urgency=low

  * New upstream release
  * debian/patches/CVE-2008-0928.patch: updated to apply cleanly
  * debian/patches/SECURITY_CVE-2007-1321+1322+1366+2893.patch: updated to
    apply cleanly
  * debian/patches/reenable_audio_drivers.patch: add es1370 to the soundcard
    list
  * debian/patches/ppc-build.patch: required for the new qemu to build on
    non-ppc platforms (bug upstream, should be fixed by next release)
  * debian/rules: the clean target now depends on config.status (variable
    definition needed by 'make clean'); the source's clean target seems
    to clean out qemu/$(BUILD_CPU)-softmmu now, commenting out; reordered
    calling of source's clean targets to ensure that the clean can
    succeed

 -- Dustin Kirkland <email address hidden>   Tue, 17 Feb 2009 19:42:43 -0600
Superseded in jaunty-release on 2009-02-18
kvm (1:83+dfsg-0ubuntu1) jaunty; urgency=low

  * New upstream release, fixes LP: #320320

 -- Dustin Kirkland <email address hidden>   Fri, 23 Jan 2009 09:01:03 -0500
Superseded in jaunty-release on 2009-01-23
kvm (1:82+dfsg-0ubuntu1) jaunty; urgency=low

  * New upstream release, LP: #316521
  * debian/patches/04_use_etc_kvm_kvm-ifup.patch: reworked to patch
    qemu/net.h
  * debian/patches/CVE-2008-0928.patch: updated
  * debian/patches/do-not-install-bios.patch: updated, Makefile now supports
    a variable (perhaps we should set this with configure?)
  * debian/patches/reenable_audio_drivers.patch: updated
  * debian/patches/anon_inodes_fix.patch: updated
  * debian/patches/SECURITY_CVE-2007-1321+1322+1366+2893.patch: updated
  * debian/rules: clean up a bit better after the build; allows for
    subsequent binary and source builds and rebuilds

 -- Dustin Kirkland <email address hidden>   Tue, 20 Jan 2009 21:47:54 -0500
Superseded in jaunty-release on 2009-01-21
kvm (1:79+dfsg-0ubuntu5) jaunty; urgency=low

  * Bump debhelper version for updated udev rules path, add Breaks to ensure
    we use the right version of udev.

 -- Scott James Remnant <email address hidden>   Mon, 12 Jan 2009 19:44:11 +0000
Superseded in jaunty-release on 2009-01-12
kvm (1:79+dfsg-0ubuntu4) jaunty; urgency=low

  * Correctly rename kvm-nbd man page to match the binary's name.
  * Make "debian/rules clean" do a better job at cleaning up after the build.

 -- Soren Hansen <email address hidden>   Tue, 25 Nov 2008 10:51:55 +0100
Superseded in jaunty-release on 2008-11-25
kvm (1:79+dfsg-0ubuntu3) jaunty; urgency=low

  * Rename kvm-nbd man page to match the binary's name.

 -- Soren Hansen <email address hidden>   Mon, 24 Nov 2008 00:04:36 +0100
Superseded in jaunty-release on 2008-11-24
kvm (1:79+dfsg-0ubuntu2) jaunty; urgency=low

  * Fix kernel module build.

 -- Soren Hansen <email address hidden>   Tue, 18 Nov 2008 22:04:35 +0100
Superseded in jaunty-release on 2008-11-19
kvm (1:79+dfsg-0ubuntu1) jaunty; urgency=low

  * New upstream release
  * Dropped the following patch sets, as they're now upstream:
    + qemu_vnc_ext_key_event
    + i2c_bus_load_fix
  * Updated the following patches to match kvm-79:
    + SECURITY_CVE-2007-1321+1322+1366+2893
    + CVE-2008-0928
    + 22_net_tuntap_stall
  * Make kvm-source autoinstall (meaning that it'll compile itself not just
    for the kernel running at install time, but also for kernels that are
    installed later on).

Superseded in jaunty-release on 2008-11-18
Obsolete in intrepid-release on 2013-02-20
kvm (1:72+dfsg-1ubuntu6) intrepid; urgency=low

  * debian/patches/evdev_keycode_map.patch, debian/patches/series: ported the
    gtk-vnc patch that fixes evdev keycode mapping (LP: #258389)
  * debian/control: explicitly depend on libx11-dev

 -- Dustin Kirkland <email address hidden>   Wed, 24 Sep 2008 17:25:20 -0500
Superseded in intrepid-release on 2008-09-25
kvm (1:72+dfsg-1ubuntu5) intrepid; urgency=low

  [ Dustin Kirkland ]
  * Add debian/10-kvm.fdi, debian/org.freedesktop.hal.kvm.policy: hal object
    descriptor and policy file for kvm/virt-hardware
  * debian/kvm.install; Put the hal/PolicyKit configuration in the correct
    place (LP: #273764)

  [ Martin Pitt ]
  * Simplify Dustin's dh_install handling a bit (don't use debian/rules any
    more, install straight with dh_install).

 -- Dustin Kirkland <email address hidden>   Wed, 24 Sep 2008 14:00:16 +0200
Superseded in intrepid-release on 2008-09-24
kvm (1:72+dfsg-1ubuntu4) intrepid; urgency=low

  * debian/kvm-ok: simple script to determine of the cpu supports kvm
    acceleration (LP: #188878)
  * debian/rules: install the kvm-ok binary into /usr/bin/kvm-ok

 -- Dustin Kirkland <email address hidden>   Mon, 22 Sep 2008 12:09:47 -0500
Superseded in intrepid-release on 2008-09-23
kvm (1:72+dfsg-1ubuntu3) intrepid; urgency=low

  * debian/control: Trivial update to description, to note that KVM works on
    both x86 and x86_64 hardware (LP: #225260).

 -- Dustin Kirkland <email address hidden>   Mon, 22 Sep 2008 10:51:23 -0500
Superseded in intrepid-release on 2008-09-22
kvm (1:72+dfsg-1ubuntu2) intrepid; urgency=low

  * Switch KVM to use dkms. This makes kernel and userspace match each other
    and saves us the trouble of possible ABI bumps when updating kvm.

 -- Soren Hansen <email address hidden>   Thu, 28 Aug 2008 14:47:26 +0200
Superseded in intrepid-release on 2008-08-28
kvm (1:72+dfsg-1ubuntu1) intrepid; urgency=low

  * Merge with Debian unstable. Remaining changes:
    - Add dh_installudev rule.
    - Add ppc_rom.bin to needed_bios_files for powerpc target.
    - Build-Depend on "sysv-rc (>= 2.86.ds1-14.1ubuntu2)" to accomodate
      TearDown.
    - Suggest ubuntu-vm-builder instead of debootstrap.
    - Change kvm-data conflict/replaces version to 68+dfsg-1, to properly
      conflict with the Ubuntu kvm-data package.
    - Suggest kvm-pxe to enable PXE booting.

Superseded in intrepid-release on 2008-08-20
kvm (1:71+dfsg-1ubuntu2) intrepid; urgency=low

  * Readd dh_installudev rule.

 -- Soren Hansen <email address hidden>   Mon, 11 Aug 2008 18:34:23 +0200
Superseded in intrepid-release on 2008-08-11
kvm (1:71+dfsg-1ubuntu1) intrepid; urgency=low

  * Merge with Debian unstable. Remaining changes:
    - Add ppc_rom.bin to needed_bios_files for powerpc target.
    - Comment out PXE rom builds (etherboot is not in main at this point).
    - Build-Depend on "sysv-rc (>= 2.86.ds1-14.1ubuntu2)" to accomodate
      TearDown.
    - Suggest ubuntu-vm-builder instead of debootstrap.
    - Change kvm-data conflict/replaces version to 68+dfsg-1, to properly
      conflict with the Ubuntu kvm-data package.
  * Suggest kvm-pxe to enable PXE booting.

Superseded in hardy-updates on 2009-05-13
Deleted in hardy-proposed on 2009-05-14 (Reason: moved to -updates)
kvm (1:62+dfsg-0ubuntu8) hardy-proposed; urgency=low

  * Disable CAP_CLOCKSOURCE. This works around the ABI incompatibility of the
    paravirt clock between Hardy's kernels on the host side and the rest of
    the known universe on the guest side. (LP: #243677) This allows guest
    2.6.26 and onwards kernels with KVM_GUEST enabled to boot.
  * Updated Maintainer field to reflect main promotion.

 -- Soren Hansen <email address hidden>   Mon, 07 Jul 2008 16:58:08 +0200
Superseded in intrepid-release on 2008-07-25
kvm (1:70+dfsg-1ubuntu1) intrepid; urgency=low

  * Merge with Debian unstable. Remaining changes:
    - Add ppc_rom.bin to needed_bios_files for powerpc target.
    - Comment out PXE rom builds (etherboot is not in main at this point).
    - Build-Depend on "sysv-rc (>= 2.86.ds1-14.1ubuntu2)" to accomodate
      TearDown.
    - Suggest ubuntu-vm-builder instead of debootstrap.
    - Change kvm-data conflict/replaces version to 68+dfsg-1, to properly
      conflict with the Ubuntu kvm-data package.

Superseded in intrepid-release on 2008-07-04
kvm (1:69+dfsg-1ubuntu1) intrepid; urgency=low

  * Merge with Debian unstable. Remaining changes:
    - Add ppc_rom.bin to needed_bios_files for powerpc target.
    - Comment out PXE rom builds (etherboot is not in main at this point).
    - DebianMaintainerField.
    - Only Build-Depend on device-tree-compiler on PowerPC.
    - Don't Build-Depend on etherboot.
    - Build-Depend on "sysv-rc (>= 2.86.ds1-14.1ubuntu2)" to accomodate
      TearDown.
    - Don't recommend linux-image-2.6, since we only have 2.6 kernels anyway.
    - Suggest ubuntu-vm-builder instead of debootstrap.
    - Don't suggest sudo.
    - Change kvm-data conflict/replaces version to 68+dfsg-1, to properly
      conflict with the Ubuntu kvm-data package.
    - Change suggests of kvm-source from linux-{headers,source}-2.6 to just
      linux-{headers,source}.

Superseded in intrepid-release on 2008-05-28
kvm (1:68+dfsg-0ubuntu1) intrepid; urgency=low

  * New upstream release + merge with debian. Remaining changes:
    + SECURITY_CVE-2007-1320+1321+1322+1366+2893.patch
      - Cirrus LGD-54XX "bitblt" heap overflow.
      - NE2000 "mtu" heap overflow.
      - QEMU "net socket" heap overflow.
      - QEMU NE2000 "receive" integer signedness error.
      - Infinite loop in the emulated SB16 device.
      - Unprivileged "aam" instruction does not correctly handle the
        undocumented divisor operand.
      - Unprivileged "icebp" instruction will halt emulation.
    + qemu_vnc_ext_key_event.diff:
      - Enabled extended key events in embedded VNC server.
    + DebianMaintainerField.
    + Add init script to automatically load appropriate kernel modules
      on boot (TearDown style). Add sysv-rc (>= 2.86.ds1-14.1ubuntu2)
      dependency in the process.
    + Install kvm.udev as priority 45.
    + Add "XS-Debian-" prefix to Debian's VCS headers.
    + Demote kvm-source to a Suggests of kvm (from Recommends).
    + Update package description to say that the kvm modules are in the
      kernel.
    + Update kernel package names to match Ubuntu naming.

Superseded in intrepid-release on 2008-05-06
Obsolete in hardy-release on 2015-04-24
kvm (1:62+dfsg-0ubuntu7) hardy; urgency=low

  * Revert sighandler.patch and virtio_hang.patch. Fixes hang in installer and
    likely other places, too. (LP: #217815)

 -- Soren Hansen <email address hidden>   Tue, 22 Apr 2008 19:09:33 +0200
Superseded in hardy-release on 2008-04-22
kvm (1:62+dfsg-0ubuntu6) hardy; urgency=low

  * vmport_save_regs.patch:
    - Only save and restore eax, ebx, ecx, edx, esi, and edi registers in
      vmport_ioport_read.
      (LP: #219165)

 -- Soren Hansen <email address hidden>   Sat, 19 Apr 2008 01:47:15 +0200
Superseded in hardy-release on 2008-04-19
kvm (1:62+dfsg-0ubuntu5) hardy; urgency=low

  * sighandler.patch:
    - Fix segfault when trying to suspend domain. (LP: #218204)

 -- Soren Hansen <email address hidden>   Wed, 16 Apr 2008 15:49:47 +0200
Superseded in hardy-release on 2008-04-17
kvm (1:62+dfsg-0ubuntu4) hardy; urgency=low

  * virtio_hang.patch:
    - Fix a vcpu hang when using virtio-blk in guests.

 -- Soren Hansen <email address hidden>   Sun, 13 Apr 2008 23:08:47 +0200
Superseded in hardy-release on 2008-04-14
kvm (1:62+dfsg-0ubuntu3) hardy; urgency=low

  [ Jamie Strandboge ]
  * debian/patches/SECURITY_CVE-2007-1320+1321+1322+1366+2893.patch
    based on 90_security.patch from qemu 0.9.1-1ubuntu1. Please note that
    CVE-2007-2893 is also known as CVE-2007-1323, and CVE-2007-5729 and
    CVE-2007-5730 are known as CVE-2007-1321 in Debian. This patch addresses
    the following:
    - Cirrus LGD-54XX "bitblt" heap overflow.
    - NE2000 "mtu" heap overflow.
    - QEMU "net socket" heap overflow.
    - QEMU NE2000 "receive" integer signedness error.
    - Infinite loop in the emulated SB16 device.
    - Unprivileged "aam" instruction does not correctly handle the
      undocumented divisor operand.
    - Unprivileged "icebp" instruction will halt emulation.
  * debian/patches/SECURITY_CVE-2008-0928.patch: perform range checks on
    block device read and write requests
  * References
    CVE-2007-1320
    CVE-2007-1321
    CVE-2007-1322
    CVE-2007-1323
    CVE-2007-1366
    CVE-2007-2893
    CVE-2007-5729
    CVE-2007-5730
    CVE-2008-0928

  [ Soren Hansen ]
  * debian/patches/extboot-geometry.patch:
    - Apply extboot patch from Anthony Liguori that fixes CHS information
      being calculated incorrectly, which seems to upset grub from time to time.

 -- Soren Hansen <email address hidden>   Thu, 10 Apr 2008 16:35:09 +0000
Superseded in hardy-release on 2008-04-11
kvm (1:62+dfsg-0ubuntu2) hardy; urgency=low

  * Re-disable unaccelerated execution (thus re-removing gcc-3.4 build-
    dependency).

 -- Soren Hansen <email address hidden>   Wed, 05 Mar 2008 08:48:44 +0100
Superseded in hardy-release on 2008-03-05
kvm (1:62+dfsg-0ubuntu1) hardy; urgency=low

  * New upstream release

 -- Soren Hansen <email address hidden>   Tue, 26 Feb 2008 13:10:57 -0500
Superseded in hardy-release on 2008-03-04
Superseded in hardy-release on 2008-02-21
kvm (1:60+dfsg-0ubuntu2) hardy; urgency=low

  * Make installs succeed regardless of the init script's exit code. (LP:
    #183663)
  * Disable non-accelerated execution.
  * Fixed up the clean target in debian/rules to properly clean up after
    ourselves.
  * Dropped build-dependency on gcc-3.4.

 -- Soren Hansen <email address hidden>   Wed, 20 Feb 2008 17:41:11 +0100
Superseded in hardy-release on 2008-02-20
kvm (1:60+dfsg-0ubuntu1) hardy; urgency=low

  * New upstream release.

 -- Soren Hansen <email address hidden>   Wed, 23 Jan 2008 10:38:11 +0100
Superseded in hardy-release on 2008-01-23
kvm (1:59+dfsg-0ubuntu6) hardy; urgency=low

  * Removed 08_default_tdf.patch. No longer needed.
  * Modify init script to not exit with an error when stopping if the module
    isn't loaded (LP: #183663).
  * Use the correct names for the modules in init script.

 -- Soren Hansen <email address hidden>   Fri, 18 Jan 2008 19:12:26 +0100
Superseded in hardy-release on 2008-01-18
kvm (1:59+dfsg-0ubuntu5) hardy; urgency=low

  * Added *updated* patch to support extended key events in qemu's vnc
    implementation.

 -- Soren Hansen <email address hidden>   Sun, 13 Jan 2008 21:13:33 +0100
Superseded in hardy-release on 2008-01-13
kvm (1:59+dfsg-0ubuntu4) hardy; urgency=low

  * Added patch to support extended key events in qemu's vnc implementation.
  * s/log_error_msg/log_failure_msg/ in init script.
  * Don't bother calling kvm.init stop/start on upgrade.

 -- Soren Hansen <email address hidden>   Sun, 13 Jan 2008 20:46:59 +0100
Superseded in hardy-release on 2008-01-13
kvm (1:59+dfsg-0ubuntu3) hardy; urgency=low

  * Add init script to load kvm modules. (LP: #104297)
  * Install linux_boot.bin to enable -kernel option. (LP: #111884)

 -- Soren Hansen <email address hidden>   Tue, 08 Jan 2008 16:26:05 +0100
Superseded in hardy-release on 2008-01-10
kvm (1:59+dfsg-0ubuntu2) hardy; urgency=low

  * Cherry pick 6b8bb99a9cde386d72b4b7c22b92f4bdec333dab from git to
    probably fix LP: 180105, and certainly fix an issue on Intel hardware
    due to incompatible changes to the kernel API.

 -- Soren Hansen <email address hidden>   Fri, 04 Jan 2008 03:20:57 +0100
Superseded in hardy-release on 2008-01-04
kvm (1:59+dfsg-0ubuntu1) hardy; urgency=low

  * New upstream release
  * Build with alsa support (cherry pick from 57+dfsg-2)

 -- Soren Hansen <email address hidden>   Thu, 03 Jan 2008 10:39:25 +0100
Superseded in hardy-release on 2008-01-03
kvm (1:57+dfsg-0ubuntu1) hardy; urgency=low

  * New upstream release.

 -- Soren Hansen <email address hidden>   Tue, 18 Dec 2007 18:15:54 +0100
Superseded in hardy-release on 2007-12-18
kvm (1:56+dfsg-0ubuntu1) hardy; urgency=low

  * New upstream version.
  * Merge changes from 55+dfsg-2.

 -- Soren Hansen <email address hidden>   Tue, 18 Dec 2007 09:36:20 +0100
Superseded in hardy-release on 2007-12-18
kvm (1:55+dfsg-1ubuntu1) hardy; urgency=low

  * Merge with Debian. Remaining changes:
    - debian/control:
      - Demote kvm-source to Suggests
      - Mention kvm-source is unnecessary
      - Modify Maintainer value to match the DebianMaintainerField
        specification.
      - Depend on recent bochsbios-qemu.
      - Moved Vcs-* to XS-Original-Vcs-*.
      - Don't recommend linux-image-2.6 since Ubuntu is Linux 2.6 only anyway.
      - Rename suggestions of linux-{headers,source} to Ubuntu's naming scheme.
      - Add pkg-config to Build-Depends (fixes warning during build)
    - Add 08_default_tdf.patch to make -tdf the default.

Superseded in hardy-release on 2007-12-10
kvm (1:54+dfsg-0ubuntu1) hardy; urgency=low

  * New upstream release.

 -- Soren Hansen <email address hidden>   Tue, 04 Dec 2007 09:06:33 +0100
Superseded in hardy-release on 2007-12-04
kvm (1:53+dfsg-0ubuntu1) hardy; urgency=low

  * New upstream release
  * Properly clean out all the blobs from the tarball in get-orig-source.
  * Depend on bochsbios-qemu and vgabios to get the needed blobs from there
    instead.

 -- Soren Hansen <email address hidden>   Mon, 26 Nov 2007 12:09:12 +0100
Superseded in hardy-release on 2007-11-26
kvm (1:52+dfsg-0ubuntu1) hardy; urgency=low

  * New upstream release.
  * 08_default_tdf.patch
    - Make -tdf the default and add a -no-tdf option.

 -- Soren Hansen <email address hidden>   Thu, 15 Nov 2007 02:21:55 +0100
Superseded in hardy-release on 2007-11-15
kvm (1:48+dfsg-1ubuntu1) hardy; urgency=low

  * Merge from Debian unstable (LP: #161790, LP: #149785).
  * Remaining Ubuntu changes:
    + Add epoch
    + debian/preinst:
      - Remove code to delete never-in-Ubuntu conf file
    + debian/control:
      - Demote kvm-source to Suggests
      - Mention kvm-source is unnecessary
      - Add epoch to Conflicts
    + debian/patches/from-debian-qemu/63_use_dev_bus_usb_not_proc_bus_usb.patch
      - USB path /proc/bus/usb => /dev/bus/usb
    + debian/rules:
      - Call dh_installudev
  * New changes:
    + debian/control:
      - Remove Debian's VCS fields: that's not where the Ubuntu packages are
        maintained.

Superseded in hardy-release on 2007-11-10
kvm (1:28-4ubuntu3) hardy; urgency=low

  * debian/patches/from-debian-qemu/63_use_dev_bus_usb_not_proc_bus_usb.patch:
    + Fixes broken USB device access since /proc/bus/usb/devices was replaced by
      /dev/bus/usb/devices. (LP #156085)

 -- TJ <email address hidden>   Mon, 29 Oct 2007 13:00:00 +0000
Superseded in hardy-release on 2007-11-08
Obsolete in gutsy-release on 2011-09-16
kvm (1:28-4ubuntu2) gutsy; urgency=low

  * debian/rules:
    + Call dh_installudev again (LP #127704).  We have a slightly different
      udev policy to Debian.
  * debian/preinst:
    + Remove code to delete old kvm.rules file.  The file it references was
      never in the Ubuntu packages, and we use dh_installudev now.
  * debian/control:
    + Demote the Recommends on kvm-source to Suggests.  kvm works with the
      kernel modules we ship, so the kvm-source package doesn't add much.

 -- Christopher James Halse Rogers <email address hidden>   Sat, 29 Sep 2007 18:53:27 +1000
Superseded in gutsy-release on 2007-09-29
kvm (1:28-4ubuntu1) gutsy; urgency=low

  * Merge from Debian Unstable (LP: #119254, #122113).
  * Remaining Ubuntu Changes:
    + Add epoch
    + debian/control
      - Mention that the kvm-source package is unnecessary.
  * Add epoch to the Conflicts

Superseded in gutsy-release on 2007-06-27
Obsolete in feisty-release on 2009-08-20
kvm (1:16-1ubuntu2) feisty; urgency=low

  * Revert to kvm-16 to match released kernel.
  * Add epoch.

 -- Ben Collins <email address hidden>   Sun, 15 Apr 2007 17:52:01 -0400
Superseded in feisty-release on 2007-04-16
kvm (18-1ubuntu1) feisty; urgency=low

  * New upstream.
  * Make package depend on kvm-api-X, so the kernel can provide correct API
    and we make sure things don't get skewed.

 -- Ben Collins <email address hidden>   Sun,  8 Apr 2007 12:37:54 -0400
Superseded in feisty-release on 2007-04-10
kvm (16-1ubuntu1) feisty; urgency=low

  * New upstream.

 -- Ben Collins <email address hidden>   Wed, 14 Mar 2007 00:33:11 -0400
Superseded in feisty-release on 2007-03-14
kvm (15-1ubuntu1) feisty; urgency=low

  * New upstream.

 -- Ben Collins <email address hidden>   Thu,  1 Mar 2007 22:15:02 -0500
Superseded in feisty-release on 2007-03-02
kvm (12-1ubuntu1) feisty; urgency=low

  * Nuke kvm-source as it is unnecessary on Ubuntu.

 -- Kyle McMartin <email address hidden>   Thu, 25 Jan 2007 08:06:55 -0500
Superseded in feisty-release on 2007-01-25
kvm (11-0ubuntu1) feisty; urgency=low

  * New upstream version
  * Mark kvm-source as unneeded when using Ubuntu kernels

 -- Kyle McMartin <email address hidden>   Fri, 12 Jan 2007 10:44:27 -0500
175 of 79 results